org.flexdock.docking.floating.frames

## Class RootPaneBorder

- java.lang.Object
- - org.flexdock.docking.floating.frames.RootPaneBorder

All Implemented Interfaces:
  javax.swing.border.Border

    public class RootPaneBorder
    extends java.lang.Object
    implements javax.swing.border.Border

Author:
  Andreas Ernst, Christopher Butler

### Constructor Summary

Constructors
Constructor and Description
`RootPaneBorder()`

### Method Summary

Methods
`java.awt.Insets` `getBorderInsets(java.awt.Component c)`
`boolean` `isBorderOpaque()`
`void` `paintBorder(java.awt.Component c, java.awt.Graphics g, int x, int y, int width, int height)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RootPaneBorder

    public RootPaneBorder()

### Method Detail

#### getBorderInsets

    public java.awt.Insets getBorderInsets(java.awt.Component c)

Specified by:
  `getBorderInsets` in interface `javax.swing.border.Border`

#### isBorderOpaque

    public boolean isBorderOpaque()

Specified by:
  `isBorderOpaque` in interface `javax.swing.border.Border`

#### paintBorder

    public void paintBorder(java.awt.Component c,
                   java.awt.Graphics g,
                   int x,
                   int y,
                   int width,
                   int height)

Specified by:
  `paintBorder` in interface `javax.swing.border.Border`